# Background Music Player Copyright (c) 1997-1998 Tycho Softworks.
# $Id: bgm.spec 1.7 Wed, 07 Oct 1998 13:35:40 -0400 dyfet $

Summary: background music player
Name: bgm
Version: 0.1.6
Release: 1
Url: http://www.tycho.com/bgm
Source: ftp.tycho.com:/pub/packages/source/bgm-%{PACKAGE_VERSION}.tar.gz
Copyright: GPL
Group: Applications/Sound
BuildRoot: /tmp/bgm-root

%description
BGM is a simple background music playing program primarily designed as a
MOH and/or BGM source for a PBX system.  This release supports only
sequenced playback of MIDI files, split audio feeds, and muting for
overlay of external Text-To-Speech pagers or announcements.  Now runs as
a 'service' at system startup and shutdown.

%prep
%setup
./config --root=$RPM_BUILD_ROOT --prefix=/usr

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/bgm.conf
%doc COPYING README TODO CHANGES
/usr/sbin/bgm
/etc/rc.d/init.d/bgm
/etc/rc.d/rc3.d/S86bgm
/etc/rc.d/rc4.d/S86bgm
/etc/rc.d/rc5.d/S86bgm

